## braillefont 1.0

=== Makefile ===
all: braillefont
clean:
	rm -f braillefont braillefont.o 6x8font.h

braillefont:	braillefont.o
	$(CC) -std=c99 -Wall $^ -o $@

braillefont.o:	braillefont.c 6x8font.h
	$(CC) -std=c99 -Wall -c $<

6x8font.h:	png2font 6x8.png
	./png2font >6x8font.h

=== debian/changelog ===
braillefont (1.0-7) unstable; urgency=medium

  * Fixing invalid metadata for garbled output patch
  * control: Place line breaks in long description more sanely,
    thanks to Carles Pina i Estany for reporting :)
    Closes: #1056770

 -- Judit Foglszinger <urbec@debian.org>  Sat, 27 Jan 2024 18:36:08 +0100

braillefont (1.0-6) unstable; urgency=medium

  [Helmut Grohne]
  * control: Fix cross building, closes: #1032505
      - Drop unnecessary and unsatisfiable binutils dependency
      - Annotate libgd-perl dependency with :native

  [ urbec ]
  * control: Bumping Standards-Version to 4.6.2 no changes needed

 -- Judit Foglszinger <urbec@debian.org>  Wed, 08 Mar 2023 20:10:14 +0100

braillefont (1.0-5) unstable; urgency=low

  * rules: Turning off trimming of changelogs.
  * control: Bumping Standards-Version to 4.6.1, no changes needed
  * manpage:
    - Moving to section 1 from 6
    - Mentioning non-interactive use
  * copyright: Updating years for debian/* to 2022

 -- Judit Foglszinger <urbec@debian.org>  Sat, 15 Oct 2022 17:09:42 +0700

braillefont (1.0-4) unstable; urgency=low

  * watch: Adjusting to new github url format
  * patches: Fixing garbled output for the non-interactive case
    of no trailing newline in input.  Thanks to joostvb for reporting this.
  * control: bumping standards version - no changes needed.
  * tests: adding autopkgtest for non-interactive text input w/wo newline

 -- Judit Foglszinger <urbec@debian.org>  Tue, 28 Sep 2021 21:38:36 +0700

braillefont (1.0-3) unstable; urgency=medium

  * control: bumping standards version - no changes needed.
  * rules: converting to dh
  * control: changing section from games to text
  * copyright: adding upstream contact
  * source: overriding lintian tag maintainer-manual-page
  * patches: patching Makefile to support build flags
  * rules: removing override for dh_auto_build
  * patches: fixing possible buffer overflow in fgetws
  * upstream/metadata: adding file mostly as generated by lintian-brush

 -- Judit Foglszinger <urbec@debian.org>  Fri, 04 Dec 2020 09:28:44 +0700

braillefont (1.0-2) unstable; urgency=low

  * rules/binary-arch: adding dependency on build target closes: #972380
  * rules/clean: moving deletion of build-stamp to first line
  * rules/binary-arch: allow re-running target without doing clean first
  * manpage: mentioning limited support for non-ASCII characters
  * rules/binary-arch: Not installing debugsymbols as executable
  * vcs: adjusting directory structure to support vcswatch

 -- Judit Foglszinger <urbec@debian.org>  Sat, 17 Oct 2020 17:58:37 +0700

braillefont (1.0-1) unstable; urgency=low

  * Initial version. closes: #950763
  * Adding manpage for executable.

 -- Judit Foglszinger <urbec@debian.org>  Sat, 15 Feb 2020 10:00:39 +0600

=== debian/control ===
Source: braillefont
Maintainer: Judit Foglszinger <urbec@debian.org>
Section: text
Priority: optional
Build-Depends: libgd-perl:native, debhelper (>= 13~), debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://github.com/kilobyte/braillefont
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/braillefont.git
Vcs-Browser: https://salsa.debian.org/debian/braillefont

Package: braillefont
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Prints a bitmapped version of a text using Unicode Braille symbols
 braillefont runs interactively on the console -
 one can enter a (short) text, that will be converted into a bitmapped version
 and printed using the Braille range of Unicode.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	echo "hallo :)"

override_dh_installchangelogs:
	dh_installchangelogs --no-trim

=== debian/tests/control ===
Tests: pkgtests
